/*
 * Copyright (c) 2009, 2012, Oracle and/or its affiliates. All rights reserved.
 *
 * This software is the proprietary information of Oracle Corporation.
 * Use is subject to license terms.
 */
package org.eclipse.persistence.tools.mapping.orm;

/**
 * This interface represents the collection table types defined by the EclipseLink JPA spec that are
 * available for configuration via the EclipseLink ORM xml.
 * <p>
 * Provisional API: This interface is part of an interim API that is still under development and
 * expected to change significantly before reaching stability. It is available at this early stage
 * to solicit feedback from pioneering adopters on the understanding that any code that uses this
 * API will almost certainly be broken (repeatedly) as the API evolves.<p>
 *
 * @version 2.6
 */
@SuppressWarnings("nls")
public interface ExternalCollectionTable extends ExternalReferenceTable {

	/**
	 * The node name used to store and retrieve the element encapsulated by this external form.
	 */
	String COLLECTION_TABLE = "collection-table";
}